Get organization public profiles
curl --request POST \
--url https://profiles.platform.arb.inc/organizations/public-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationIDs": [
"3a5b7c9d-2e4f-6a8b-9c0d-1e2f3a4b5c6d",
"7e9f1a2b-3c4d-5e6f-7a8b-9c0d1e2f3a4b"
]
}
'import requests
url = "https://profiles.platform.arb.inc/organizations/public-profiles"
payload = { "organizationIDs": ["3a5b7c9d-2e4f-6a8b-9c0d-1e2f3a4b5c6d", "7e9f1a2b-3c4d-5e6f-7a8b-9c0d1e2f3a4b"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organizationIDs: ['3a5b7c9d-2e4f-6a8b-9c0d-1e2f3a4b5c6d', '7e9f1a2b-3c4d-5e6f-7a8b-9c0d1e2f3a4b']
})
};
fetch('https://profiles.platform.arb.inc/organizations/public-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"id": "3a5b7c9d-2e4f-6a8b-9c0d-1e2f3a4b5c6d",
"name": "Acme Corporation"
}
]
}organizations
Get organization public profiles
Returns public profile data for organizations by organization IDs. Maximum 1000 organization IDs per request. This endpoint returns only publicly visible information.
POST
/
organizations
/
public-profiles
Get organization public profiles
Authorizations
access token
Body
application/json
List of organization IDs to retrieve profiles for (maximum 1000)
Example:
[
"3a5b7c9d-2e4f-6a8b-9c0d-1e2f3a4b5c6d",
"7e9f1a2b-3c4d-5e6f-7a8b-9c0d1e2f3a4b"
]
Response
Organization profiles retrieved successfully
Show child attributes
Show child attributes
⌘I